# -*- encoding=utf8 -*-
__author__ = "liguangyu"

import random

"""
case_tag:cmdc_api,cmdc商品金额调整验证_再来一单,2288,2288-27,sit,bs
涉及到接口:多采商城再来一单获取原订单信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_order_handle"

# 第一步登录多采商城获取token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 生成随机数字用于商品金额
amount_product = float(random.randint(100, 1000))
# print(amount_product)
# 进行商品金额调整操作
sql = "UPDATE `cmdc-product`.ic_product t SET t.referencePrice = {} WHERE t.productId = 7991".format(amount_product)
mysql_handle.executeUpdate(host, port, user, pwd, "cmdc-product", sql)

# 查询指定需求单信息
order_num = "17018438457347575"

# 第二步获取多采商城需求单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_demand_list")
request_body = commonFuc().get_business_data(module, "payload_demand_list", order_num)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)

# 获取需求单信息
demand_id = result["data"]["list"][0]["demandId"]

# 第三步进行再来一单操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url20")
request_body = commonFuc().get_business_data(module, "payload20", demand_id)

"""
 场景: 验证当原订单中商品价格被修改后，再来一单中商品金额是否调整为最新金额
 用例名称：商品金额调整验证_再来一单
 输出：{"productAmount":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取订单中商品金额
result = {"productAmount": result["data"]["国药集团上海医疗器械有限公司"]["datas"][0]["productAmount"]}
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict21", amount_product)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

