# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc修改返利接口验证,2271,2271-48,sit,bs
涉及接口:修改返利接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 生成随机返利金额
rebate_amount = round(random.random() * 100, 2)
# 第二步修改返利金额
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url01")
request_body = commonFuc().get_business_data(module, "payload01", rebate_amount)

"""
 场景: 验证修改返利接口是否可正常使用
 用例名称：修改返利接口验证
 输出：{"rebateAmount":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取结果中返利金额进行核验
result = {"rebateAmount": result["data"]["rebateAmount"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict01", rebate_amount)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

